Subject: [manet] RERRs in AODV

From: manet user <[email-masked]>
Date: Fri, 1 Oct 2004 11:22:40 -0700 (PDT)

Hi,
 
According to RFC 3561 Section 6.11, it says that 
 
A node initiates processing for a RERR message in three situations:

   (i)       if it detects a link break for the next hop of an active
             route in its routing table while transmitting data (and
             route repair, if attempted, was unsuccessful), or

   (ii)      if it gets a data packet destined to a node for which it
             does not have an active route and is not repairing (if
             using local repair), or

My question is, when does the case (i) happen apart from route repair failure, if AODV imeplementation uses hello messages rather than lower layer feedback for link maintenance?
 
Also, if a neighbor loss is detected by ALLOWED_HELLO_LOSS, RFC says this will not trigger a RERR message due to empty precursor list. But do we still increase the destination sequence number after expiring the route? If yes, then we'll not be able to add the same neighbor if we happen to receive Hello message right after the loss.
 
Any comments will be helpful. Thanks in advance,
-MU

---------------------------------
Do you Yahoo!?
Yahoo! Mail - Helps protect you from nasty viruses.

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet